Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.sqlserver
Class SQLServerActionBuilder

    java.lang.Object
      org.apache.cayenne.dba.JdbcActionBuilder
          org.apache.cayenne.dba.sqlserver.SQLServerActionBuilder

All Implemented Interfaces:
  SQLActionVisitor

    public class SQLServerActionBuilder

extends JdbcActionBuilder

Since:
  1.2

Field Summary

Fields inherited from class org.apache.cayenne.dba.JdbcActionBuilder
`adapter, entityResolver`

Constructor Summary
`SQLServerActionBuilder(JdbcAdapter adapter, EntityResolver resolver)`

Method Summary
`SQLAction` | `batchAction(BatchQuery query)` Creates an action to execute a batch update query.
`SQLAction` | `objectSelectAction(SelectQuery query)` Creates an action to execute a SelectQuery.
`SQLAction` | `procedureAction(ProcedureQuery query)` Creates an action to execute a ProcedureQuery.

Methods inherited from class org.apache.cayenne.dba.JdbcActionBuilder
`ejbqlAction, getAdapter, getEntityResolver, sqlAction, updateAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLServerActionBuilder

    public SQLServerActionBuilder(JdbcAdapter adapter,
                                  EntityResolver resolver)

Method Detail

### batchAction

    public SQLAction batchAction(BatchQuery query)

  Description copied from interface: `SQLActionVisitor`
  Creates an action to execute a batch update query.

  Specified by:
    `batchAction` in interface `SQLActionVisitor`
  Overrides:
    `batchAction` in class `JdbcActionBuilder`

### objectSelectAction

    public SQLAction objectSelectAction(SelectQuery query)

  Description copied from interface: `SQLActionVisitor`
  Creates an action to execute a SelectQuery.

  Specified by:
    `objectSelectAction` in interface `SQLActionVisitor`
  Overrides:
    `objectSelectAction` in class `JdbcActionBuilder`

### procedureAction

    public SQLAction procedureAction(ProcedureQuery query)

  Description copied from interface: `SQLActionVisitor`
  Creates an action to execute a ProcedureQuery.

  Specified by:
    `procedureAction` in interface `SQLActionVisitor`
  Overrides:
    `procedureAction` in class `JdbcActionBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.